package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtoVtaSeguro;

public class RenderPtoVtaSeguro implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		PtoVtaSeguro pto = (PtoVtaSeguro) o;

		Listcell lc = new Listcell(pto.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(pto.getIndVendeSegOpcional() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);

		lc = new Listcell(pto.getIndEstanSegOpcional() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		
		lc = new Listcell(pto.getIndEstanTasaEmbarque() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);

		lc = new Listcell(pto.getIndPermisoTasaEmbarque() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		
		lstm.setAttribute("data", pto);

	}
}
